import 'package:flutter/material.dart';
import 'package:webview_flutter/webview_flutter.dart';

class WebViewTest extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.start,
          mainAxisSize: MainAxisSize.max,
          crossAxisAlignment: CrossAxisAlignment.stretch,
          children: [
            _buildSeparator(),
            TestWebView1(),
            _buildSeparator(),
            _buildTaboolaFlutterLogo()
          ],
        ));
  }

  Widget _buildSeparator() {
    return Container(
      height: 8,
      width: 512,
      color: Color.fromARGB(255, 50, 50, 50),
    );
  }

  Widget _buildTaboolaFlutterLogo() {
    return Container(
      color: Color.fromARGB(255, 230, 241, 255),
      height: 300,
      child: Image(
          image: AssetImage('images/flutter_taboola_logo.png'),
          alignment: Alignment.center,

      ),
    );
  }
}

class TestWebView1 extends StatelessWidget {
  WebView _webView = new WebView(
    initialUrl: "https://www.zap.co.il",
  );

  @override
  Widget build(BuildContext context) {
    return Container(
        child: _webView,
      width: 300,
      height: 400,
    );
  }
}
