

//TODO: See Android's entire SDK values in log tag SdkHelper, msg = "createSdkDetailsJSON() finished with"



//TODO: test that the packageInfo dep. is transitively usable by publishers


import 'package:package_info/package_info.dart';

class ApplicationDescriptor {
  String _appName; //publisher's app name
  String _appv; //publisher's app version
  String _app; //packageName(Android) / bundleId(iOS)

  static Future<String> getAppName() async{
    PackageInfo packageInfo = await PackageInfo.fromPlatform();
    if (packageInfo == null) {
      return "NA";
    }
    return packageInfo.appName;
  }

  static Future<String> getAppVersion() async{
    PackageInfo packageInfo = await PackageInfo.fromPlatform();
    if (packageInfo == null) {
      return "NA";
    }
    return packageInfo.version;
  }

  static Future<String> getAppPackageName() async{
    PackageInfo packageInfo = await PackageInfo.fromPlatform();
    if (packageInfo == null) {
      return "NA";
    }
    return packageInfo.packageName;
  }
}



/*
PackageInfo packageInfo = await PackageInfo.fromPlatform();

String packageName = packageInfo.packageName;
String version = packageInfo.version;
String buildNumber = packageInfo.buildNumber;
 */