import 'dart:math';

import 'package:flutter/material.dart';
import 'package:webview_flutter/webview_flutter.dart';
import 'package:taboola_sdk/standard/web_view_manager.dart';
import 'package:taboola_sdk/standard/taboola_webview.dart';

import '../taboola.dart';

class TaboolaStandard extends StatelessWidget {
  String _publisherId;
  String _mode;
  String _placement;
  String _pageType;
  String _pageUrl;
  String _pageId;
  String _targetType;

  TaboolaWebView _taboolaWebView;

  //TODO: These are the parameters requested in MVP, I think there are other params required that aren't specified (like targetType[default value "mix"])
  TaboolaStandard(this._publisherId,this._mode, this._placement, this._pageType, this._pageUrl, this._pageId, this._targetType) {
    WebViewManager webViewManager = new WebViewManager(didChangeHeightOfPlacement, didFailToLoadPlacementError, didClickOnItem);
    _taboolaWebView = new TaboolaWebView(_publisherId,_placement,_mode,_pageType,_pageUrl,_pageId,_targetType,webViewManager);
  }

  @override
  Widget build(BuildContext context) {

    return Container(
        child: _taboolaWebView,
      width: 300,
      height: 300,
    );
  }

  void didChangeHeightOfPlacement(String placement, double height) => {};

  void didFailToLoadPlacementError(String placement, String error) => {};

  void didClickOnItem(String placement, String itemId, String clickUrl, bool organic) => {};

}




