import 'package:flutter/material.dart';
import 'dart:developer' as developer;
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:taboola_sdk/descriptors/application_descriptor.dart';

// import screens
import 'package:taboola_sdk_example/screens/column_test.dart';
import 'package:taboola_sdk_example/screens/single_child_scroll_view_test.dart';
import 'package:taboola_sdk_example/screens/very_tall_wv_single_child_scroll_view_test.dart';
import 'package:taboola_sdk_example/screens/infinite_wv_single_child_scroll_view_test.dart';
import 'package:taboola_sdk_example/screens/taboola_standard_test.dart';

void main() => runApp(MyApp());

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  Widget TEST_SCREEN;

  @override
  void initState() {
    super.initState();

    //  TEST_SCREEN = ColumnTest();
    //  TEST_SCREEN = WebViewTest();
    //  TEST_SCREEN = SingleChildScrollViewTest();
    //  TEST_SCREEN = VeryTallWVSingleChildScrollViewTest();
    //  TEST_SCREEN = InfiniteWVSingleChildScrollViewTest();

    TEST_SCREEN = TaboolaStandardTest();

  }

  asyncPrintString() async{
    print ('oscar0 ${await ApplicationDescriptor.getAppName()}');
    print ('oscar1 ${await ApplicationDescriptor.getAppPackageName()}');
    print ('oscar2 ${await ApplicationDescriptor.getAppVersion()}');
  }

  @override
  Widget build(BuildContext context) {
    asyncPrintString();

    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: Text('Flutteh!! asyncStringVal'),
        ),
        body: Center(
          child: TEST_SCREEN,
        ),
      ),
    );
  }
}
