import 'package:flutter/material.dart';

class ColumnTest extends StatelessWidget {

  @override
  Widget build(BuildContext context) {
    return Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.start,
          mainAxisSize: MainAxisSize.max,
          crossAxisAlignment: CrossAxisAlignment.center,

          children: [
            _buildBlueSquare(),
            _buildRedRect(),
            _buildBlueSquare(),
          ],
        )
    );
  }

  Widget _buildBlueSquare() {
    return Container(
      height: 200,
      width: 200,
      alignment: Alignment.topRight,
      color: Color.fromARGB(255, 200, 200, 255),
    );
  }

  Widget _buildRedRect() {
    return Container(
      height: 150,
      width: 100,
      color: Color.fromARGB(255, 255, 200, 200),
    );
  }
}